org.apache.ignite.internal.pagemem.wal.record

## Enum RolloverType

- java.lang.Object
- - java.lang.Enum<RolloverType>
  - - org.apache.ignite.internal.pagemem.wal.record.RolloverType

All Implemented Interfaces:
  Serializable, Comparable<RolloverType>

    public enum RolloverType
    extends Enum<RolloverType>

Defines WAL logging type with regard to segment rollover.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CURRENT_SEGMENT` Record being logged is a rollover record and it should get to the current segment whenever possible.
`NEXT_SEGMENT` Record being logged is a rollover record and it should become the first record in the next segment.
`NONE` Record being logged is not a rollover record.

### Method Summary

All Methods Static Methods Concrete Methods
`static RolloverType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RolloverType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final RolloverType NONE

Record being logged is not a rollover record.

#### CURRENT_SEGMENT

    public static final RolloverType CURRENT_SEGMENT

Record being logged is a rollover record and it should get to the current segment whenever possible. If current segment is full, then the record gets to the next segment. Anyway, logging implementation should guarantee segment rollover afterwards.

#### NEXT_SEGMENT

    public static final RolloverType NEXT_SEGMENT

Record being logged is a rollover record and it should become the first record in the next segment.

### Method Detail

#### values

    public static RolloverType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RolloverType c : RolloverType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RolloverType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023